Moonborn — API · config
List config snapshots for a scope
GET/v1/config/snapshotsscope · Bearer (API key or session JWT)
Query parameters
| Field | Type | Description |
|---|---|---|
| scope_level | string | |
| scope_id | string | |
| limit | number |
Responses
200Snapshot list
Body
| Field | Type | Description |
|---|---|---|
| snapshotsreq | object[] |
401Unauthenticated
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
403Forbidden
Body
| Field | Type | Description |
|---|---|---|
| typereq | string | |
| titlereq | string | |
| statusreq | number | |
| detail | string | |
| code | string |
Examples
cURL
curl -X GET https://api.moonborn.co/v1/config/snapshots \ -H "Authorization: Bearer $MOONBORN_API_KEY"
TypeScript
import Moonborn from '@moonborn/sdk';
const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });
const result = await client.config.listConfigSnapshots();Python
import os from moonborn import Moonborn client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"]) result = client.config.list_config_snapshots()